jasmine-spec-reporter

Real time console spec reporter for jasmine testing framework.

# Usage

## Installation

Install `jasmine-spec-reporter` via npm:

    npm install jasmine-spec-reporter --save-dev

## Examples

- Jasmine node tests
- Protractor tests
- TypeScript support

## Configuration

See full configuration and features: configuration.ts

## Custom output

You can customize the output of the reporter yourself: see how.

# Development

## Requirements

- npm >= 5

## Commands

- install dependencies: `npm install`
- launch unit tests: `npm test`
- launch integration tests: `npm run test:integration`

## Debugging

Unit tests hijack `console.log` to verify output; use `console.warn` to debug.